/**
 * Klasse Expr zur Auswertung von Folgen und Additionen
 */
public class Expr {

	char[] input;

	private int result = 0;

	private int pos = 0;

	public Expr(char[] c) {
		input = c;
	}

	/**
	 * Auswertung der Eingabe (Folgen und Additionen)
	 * 
	 * @return Resultat der Auswertung
	 */
	public int evalExpr() {
		result += Character.getNumericValue(input[pos]);
		pos += 2;
		if (input.length > pos) {
			this.evalExpr();
		}
		return result;
	}

	public static void main(String[] args) {
		if (args.length != 1) {
			System.out.println("Please enter a correct input!");
			System.out.println("Example: java Expr \"3+2+9\"");
			System.exit(1);
		}

		Expr expression = new Expr(args[0].toCharArray());
		int result = expression.evalExpr();

		System.out
				.println("The evaluation of " + args[0] + " gives: " + result);
	}
}
